Subject: Re: [Lwip] Fwd: New Version Notification for draft-aks-lwig-crypto-sensors-01.txt

From: Daniel Migault <[email-masked]>
Date: Mon, 1 Aug 2016 12:06:14 -0400

Hi,

I have read the draft. The scope of the draft is useful for the WG. In my
opinion, the current draft needs some editorial changes which should not
prevent it to be adopted as a WG document. I support the adoption of this
document.

BR,
Daniel

On Thu, Jun 30, 2016 at 6:11 AM, Mohit Sethi <[email-masked]>
wrote:

> Dear all,
>
> We have uploaded the next version of our draft documenting the
> implementation experiences of public-key cryptography on 8-bit
> micro-controllers. The draft is available here:
> https://tools.ietf.org/html/draft-aks-lwig-crypto-sensors-01
>
> In this updated version, we have included the implementation results from
> the performance analysis of Ed25519 (the crypto forum research group is
> currently specifying the recommended parameters) signature generation on
> the same 8-bit micro-controller.
>
> The informational document also provides design patterns and guidelines
> for ensuring integrity protection and freshness of messages that might be
> helpful when deploying such devices in practice.
>
> We look forward to your feedback. We also request the chairs to allocate a
> short slot (10/12 mins) for presenting this updated version.
>
> Thanks
> /--Mohit
>
>
> -------- Forwarded Message --------
> Subject:        New Version Notification for
> draft-aks-lwig-crypto-sensors-01.txt
> Date:   Thu, 30 Jun 2016 02:48:04 -0700
> From:   [email-masked]
> To:     Mohit Sethi <[email-masked]>, Heidi-Maria Back <
> [email-masked]>, Jari Arkko <[email-masked]>, Ari
> Keranen <[email-masked]>
>
>
>
> A new version of I-D, draft-aks-lwig-crypto-sensors-01.txt
> has been successfully submitted by Mohit Sethi and posted to the
> IETF repository.
>
> Name:           draft-aks-lwig-crypto-sensors
> Revision:       01
> Title:          Practical Considerations and Implementation Experiences in
> Securing Smart Object Networks
> Document date:  2016-06-30
> Group:          Individual Submission
> Pages:          31
> URL:
> https://www.ietf.org/internet-drafts/draft-aks-lwig-crypto-sensors-01.txt
> Status:https://datatracker.ietf.org/doc/draft-aks-lwig-crypto-sensors/
> Htmlized:https://tools.ietf.org/html/draft-aks-lwig-crypto-sensors-01
> Diff:https://www.ietf.org/rfcdiff?url2=draft-aks-lwig-crypto-sensors-01
>
> Abstract:
>    This memo describes challenges associated with securing smart object
>    devices in constrained implementations and environments.  The memo
>    describes a possible deployment model suitable for these
>    environments, discusses the availability of cryptographic libraries
>    for small devices, presents some preliminary experiences in
>    implementing small devices using those libraries, and discusses
>    trade-offs involving different types of approaches.
>
>
>
>
> Please note that it may take a couple of minutes from the time of
> submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> The IETF Secretariat
>
>
>
>
> _______________________________________________
> Lwip mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lwip
>